
#delimit;
label var t "Time";

gen wstock=equitybyhh+(corpeqbyppf+corpeqbygrf+corpeqbybpte+corpeqbycef+corpeqbymf+corpeqbylic)/1000;
gen wnstock=networth-wstock;

gen pcdefl=(ipdefcon*pop)/100;
gen wealth=(networth/pcdefl);
gen wthstock=(wstock/pcdefl);
gen wthnonstock=(wnstock/pcdefl);
gen wthtan=tanasset/pcdefl;
gen wthntan=(networth-tanasset)/pcdefl;

gen tcons=(conexp/pcdefl);
gen dcons=(dconexp/pcdefl);
gen ndcons=(nconexp/pcdefl);
gen scons=(sconexp/pcdefl);
gen ndscons=(nconexp+sconexp)/pcdefl;
gen ydisp=(disposy/pcdefl);
gen lydisp = log(ydisp);
gen dydisp = 400*D.lydisp;
gen ytransf=(transfy/pcdefl);
gen ypty=((propiny+rentaly+dividey+interey)/pcdefl);
gen ndstotalconsrat=ndscons/tcons;

gen lincome_co=wagesal+transfy-socins;
gen taxes=perstax*wagesal/(wagesal+propiny+rentaly+dividey+interey);
gen lincome_ll=wagesal+transfy+wagesalsuppl-socins-taxes;

gen lwealth=log(wealth);
gen wealth2 = wealth/gdp; 
gen lwthstock = log(wthstock);
gen lwthnonstock = log(wthnonstock);
gen ltcons=log(tcons);
gen lndscons=log(ndscons);
gen lnds=log(ndscons);
gen llincome_co=log(lincome_co/pcdefl);
gen llincome_ll=log(lincome_ll/pcdefl);

gen dtcons=400*D.ltcons;
gen dndscons=400*D.lndscons;

gen MUExp=icsq_12/1000;
replace fedfunds=fedfunds/1000;

*================================================================================;
gen rlincome=(lincome_ll/pcdefl);
gen cdel=D.tcons/L5.tcons;
gen ydel=D.rlincome/L5.tcons;

gen dwdel=D.wealth/L.tcons;
gen dwsdel=D.wthstock/L.tcons;
gen dwnsdel=D.wthnonstock/L.tcons;

gen dwtdel=D.wthtan/L.tcons;
gen dwntdel=D.wthntan/L.tcons;

gen dwstdel=dwsdel;
gen dwnstdel=dwnsdel;
gen labelW="Stock-Nonstock Split-up";
